
Redmine - Defect #19469

Redmine 3.0.1 is not starting on Ubuntu 14.04.2

2015-03-24 22:46 - suvjunmd suvjunmd

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.0.1

Description

I installed Redmine 3.0.1 on Ubuntu 14.04.2, but when trying to access it I get the message: "Web application could not be

started". Running the command "gem update bundler" did not help. Below is the complete error message:

Web application could not be started

Redmine requires Bundler 1.5.0 or higher (you're using 1.3.5).

Please update with 'gem update bundler'. (SystemExit)

  /usr/share/redmine-3.0.1/Gemfile:4:in `abort'

  /usr/share/redmine-3.0.1/Gemfile:4:in `eval_gemfile'

  /usr/lib/ruby/vendor_ruby/bundler/dsl.rb:30:in `instance_eval'

  /usr/lib/ruby/vendor_ruby/bundler/dsl.rb:30:in `eval_gemfile'

  /usr/lib/ruby/vendor_ruby/bundler/dsl.rb:9:in `evaluate'

  /usr/lib/ruby/vendor_ruby/bundler/definition.rb:19:in `build'

  /usr/lib/ruby/vendor_ruby/bundler.rb:148:in `definition'

  /usr/lib/ruby/vendor_ruby/bundler.rb:116:in `setup'

  /usr/lib/ruby/vendor_ruby/bundler/setup.rb:17:in `<top (required)>'

  /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'

  /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'

  /usr/lib/ruby/vendor_ruby/phusion_passenger/loader_shared_helpers.rb:245:in `block in run_load_p

ath_setup_code'

  /usr/lib/ruby/vendor_ruby/phusion_passenger/loader_shared_helpers.rb:348:in `running_bundler'

  /usr/lib/ruby/vendor_ruby/phusion_passenger/loader_shared_helpers.rb:243:in `run_load_path_setup

_code'

  /usr/share/passenger/helper-scripts/rack-preloader.rb:100:in `preload_app'

  /usr/share/passenger/helper-scripts/rack-preloader.rb:158:in `<module:App>'

  /usr/share/passenger/helper-scripts/rack-preloader.rb:29:in `<module:PhusionPassenger>'

  /usr/share/passenger/helper-scripts/rack-preloader.rb:28:in `<main>'

Application root

/var/www/redmine

Environment (value of RAILS_ENV, RACK_ENV, WSGI_ENV and PASSENGER_ENV)

production

Ruby interpreter command

/usr/bin/ruby

User and groups

uid=33(www-data) gid=33(www-data) groups=33(www-data)

Environment variables

APACHE_RUN_DIR = /var/run/apache2

APACHE_PID_FILE = /var/run/apache2/apache2.pid

PATH = /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

APACHE_LOCK_DIR = /var/lock/apache2

LANG = C

APACHE_RUN_USER = www-data

APACHE_RUN_GROUP = www-data

APACHE_LOG_DIR = /var/log/apache2

PWD = /var/www/redmine

PASSENGER_DEBUG_DIR = /tmp/passenger.spawn-debug.XXXXOLo6fv

USER = www-data

LOGNAME = www-data

SHELL = /usr/sbin/nologin

HOME = /var/www

IN_PASSENGER = 1
PYTHONUNBUFFERED = 1

NODE_PATH = /usr/share/passenger/node

RAILS_ENV = production

RACK_ENV = production

WSGI_ENV = production

NODE_ENV = production

PASSENGER_APP_ENV = production

SERVER_PROTOCOL = HTTP/1.1

SERVER_ADDR = 192.168.1.102

REMOTE_ADDR = 192.168.1.105

REQUEST_URI = /

SERVER_PORT = 80

SERVER_NAME = 192.168.1.102

SERVER_SOFTWARE = Apache/2.4.7 (Ubuntu)

SERVER_ADMIN = support@redmine.local

REMOTE_PORT = 2912

DOCUMENT_ROOT = /var/www/redmine/public

QUERY_STRING = 

REQUEST_METHOD = GET

GEM_PATH = /var/lib/gems/1.9.1:/var/www/.gem/ruby/1.9.1:/usr/share/rubygems-integration/1.9.1:/usr

/share/rubygems-integration/all

GEM_HOME = /var/lib/gems/1.9.1

Ulimits

Unknown

System memory usage

             total       used       free     shared    buffers     cached

Mem:           496        343        153          5         35        218

-/+ buffers/cache:         88        407

Swap:          987          0        987

General Ruby interpreter information

RUBY_VERSION = 1.9.3

RUBY_PLATFORM = i686-linux

RUBY_ENGINE = ruby

RubyGems version = 1.8.23

Ruby configuration (RbConfig::CONFIG)

DESTDIR = 

MAJOR = 1

MINOR = 9

TEENY = 1

PATCHLEVEL = 484

INSTALL = /usr/bin/install -c

EXEEXT = 

prefix = /usr

ruby_install_name = ruby1.9.1

RUBY_INSTALL_NAME = ruby1.9.1

RUBY_SO_NAME = ruby-1.9.1

exec = exec

ruby_pc = ruby-1.9.pc

PACKAGE = ruby

BUILTIN_TRANSSRCS =  newline.c

USE_RUBYGEMS = YES

MANTYPE = doc

NROFF = /usr/bin/nroff

vendorhdrdir = /usr/include/ruby-1.9.1/vendor_ruby

sitehdrdir = /usr/include/ruby-1.9.1/site_ruby

rubyhdrdir = /usr/include/ruby-1.9.1

UNIVERSAL_INTS = 

UNIVERSAL_ARCHNAMES = 

configure_args =  '--build=i686-linux-gnu' '--prefix=/usr' '--includedir=/usr/include' '--mandir=/

usr/share/man' '--infodir=/usr/share/info' '--sysconfdir=/etc' '--localstatedir=/var' '--libexecdi

r=/usr/lib/ruby1.9.1' '--srcdir=.' '--disable-maintainer-mode' '--disable-dependency-tracking' '--

disable-silent-rules' '--enable-frame-address' '--enable-pthread' '--enable-shared' '--disable-rpa

th' '--disable-install-doc' '--with-vendordir=/usr/lib/ruby/vendor_ruby' '--with-sitedir=/usr/loca

l/lib/site_ruby' '--program-suffix=1.9.1' '--with-soname=ruby-1.9.1' '--enable-ipv6' '--with-dbm-t

ype=gdbm_compat' '--with-tklib=tk8.5' '--with-tcllib=tcl8.5' '--with-tcl-include=/usr/include/tcl8

.5' '--with-tk-include=/usr/include/tcl8.5' '--with-tcl-lib=/usr/lib/i386-linux-gnu' '--with-tk-li

b=/usr/lib/i386-linux-gnu' '--with-bundled-sha1' '--with-bundled-md5' '--with-bundled-rmd160' 'bui
ld_alias=i686-linux-gnu' 'CFLAGS=-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werr

or=format-security -Wall -fno-strict-aliasing' 'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro -L/b

uild/buildd/ruby1.9.1-1.9.3.484/debian/lib' 'CPPFLAGS=-D_FORTIFY_SOURCE=2' 'CXXFLAGS=-g -O2 -fstac

k-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall -fno-strict-aliasing'

vendordir = /usr/lib/ruby/vendor_ruby

sitedir = /usr/local/lib/site_ruby

ruby_version = 1.9.1

sitearch = i686-linux

arch = i686-linux

RI_BASE_NAME = ri

ridir = /usr/share/ri

rubylibprefix = /usr/lib/ruby

MAKEFILES = Makefile

PLATFORM_DIR = 

THREAD_MODEL = pthread

SYMBOL_PREFIX = 

EXPORT_PREFIX = 

COMMON_HEADERS = 

COMMON_MACROS = 

COMMON_LIBS = 

MAINLIBS = 

ENABLE_SHARED = yes

DLDLIBS =  -lc

SOLIBS = -lpthread -lrt -ldl -lcrypt -lm 

LIBRUBYARG_SHARED = -lruby-1.9.1

LIBRUBYARG_STATIC = -lruby-1.9.1-static

LIBRUBYARG = -lruby-1.9.1

LIBRUBY = libruby-1.9.1.so.1.9.1

LIBRUBY_ALIASES = libruby-1.9.1.so.1.9 libruby-1.9.1.so

LIBRUBY_SO = libruby-1.9.1.so.1.9.1

LIBRUBY_A = libruby-1.9.1-static.a

RUBYW_INSTALL_NAME = 

rubyw_install_name = 

LIBRUBY_DLDFLAGS = -Wl,-soname,libruby-1.9.1.so.1.9

LIBRUBY_LDSHARED = gcc -shared

EXTDLDFLAGS = 

warnflags = -Wall -Wextra -Wno-unused-parameter -Wno-parentheses -Wno-long-long -Wno-missing-field

-initializers -Wpointer-arith -Wwrite-strings -Wdeclaration-after-statement -Wimplicit-function-de

claration

debugflags = -ggdb

optflags = -O3

cxxflags =  -O3 -ggdb -Wall -Wextra -Wno-unused-parameter -Wno-parentheses -Wno-long-long -Wno-mis

sing-field-initializers -Wpointer-arith -Wwrite-strings -Wdeclaration-after-statement -Wimplicit-f

unction-declaration

cflags =  -O3 -ggdb -Wall -Wextra -Wno-unused-parameter -Wno-parentheses -Wno-long-long -Wno-missi

ng-field-initializers -Wpointer-arith -Wwrite-strings -Wdeclaration-after-statement -Wimplicit-fun

ction-declaration

cppflags = -D_FORTIFY_SOURCE=2

NULLCMD = :

INSTALLDOC = nodoc

CAPITARGET = nodoc

RDOCTARGET = nodoc

EXECUTABLE_EXTS = 

ARCHFILE = 

LIBRUBY_RELATIVE = no

EXTOUT = .ext

PREP = miniruby

TEST_RUNNABLE = yes

setup = Setup

EXTSTATIC = 

STRIP = strip -S -x

TRY_LINK = 

LIBPATHENV = LD_LIBRARY_PATH

RPATHFLAG = 

LIBPATHFLAG =  -L%s

LINK_SO = 

LIBEXT = a
DLEXT2 = 

DLEXT = so

LDSHAREDXX = g++ -shared

LDSHARED = gcc -shared

CCDLFLAGS = -fPIC

STATIC = 

ARCH_FLAG = 

DLDFLAGS = 

ALLOCA = 

POSTLINK = :

WERRORFLAG = -Werror

CHDIR = cd -P

RMALL = rm -fr

RMDIRS = rmdir --ignore-fail-on-non-empty -p

RMDIR = rmdir --ignore-fail-on-non-empty

CP = cp

RM = rm -f

PKG_CONFIG = pkg-config

DOXYGEN = 

DOT = 

MAKEDIRS = /bin/mkdir -p

MKDIR_P = /bin/mkdir -p

INSTALL_DATA = /usr/bin/install -c -m 644

INSTALL_SCRIPT = /usr/bin/install -c

INSTALL_PROGRAM = /usr/bin/install -c

SET_MAKE = 

LN_S = ln -s

NM = nm

DLLWRAP = 

WINDRES = 

OBJCOPY = :

OBJDUMP = objdump

ASFLAGS = 

AS = as

AR = ar

RANLIB = ranlib

try_header = 

COUTFLAG = -o 

OUTFLAG = -o 

CPPOUTFILE = -o conftest.i

GNU_LD = yes

GCC = yes

EGREP = /bin/grep -E

GREP = /bin/grep

CPP = gcc -E

CXXFLAGS = -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wa

ll -fno-strict-aliasing

CXX = g++

OBJEXT = o

CPPFLAGS = -D_FORTIFY_SOURCE=2 -D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2

LDFLAGS = -L. -Wl,-Bsymbolic-functions -Wl,-z,relro -L/build/buildd/ruby1.9.1-1.9.3.484/debian/lib

 -rdynamic -Wl,-export-dynamic

CFLAGS = -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall

 -fno-strict-aliasing -fPIC

CC = gcc

target_os = linux

target_vendor = pc

target_cpu = i686

target = i686-pc-linux-gnu

host_os = linux-gnu

host_vendor = pc

host_cpu = i686

host = i686-pc-linux-gnu

RUBYW_BASE_NAME = rubyw

RUBY_BASE_NAME = ruby

build_os = linux-gnu

build_vendor = pc
build_cpu = i686

build = i686-pc-linux-gnu

RUBY_RELEASE_DATE = 2013-11-22

RUBY_PROGRAM_VERSION = 1.9.3

BASERUBY = ruby

target_alias = 

host_alias = 

build_alias = i686-linux-gnu

LIBS = -lpthread -lrt -ldl -lcrypt -lm 

ECHO_T = 

ECHO_N = -n

ECHO_C = 

DEFS = -D_FILE_OFFSET_BITS=64

mandir = /usr/share/man

localedir = /usr/share/locale

libdir = /usr/lib

psdir = /usr/share/doc/ruby

pdfdir = /usr/share/doc/ruby

dvidir = /usr/share/doc/ruby

htmldir = /usr/share/doc/ruby

infodir = /usr/share/info

docdir = /usr/share/doc/ruby

oldincludedir = /usr/include

includedir = /usr/include

localstatedir = /var

sharedstatedir = /usr/com

sysconfdir = /etc

datadir = /usr/share

datarootdir = /usr/share

libexecdir = /usr/lib/ruby1.9.1

sbindir = /usr/sbin

bindir = /usr/bin

program_transform_name = s&$&1.9.1&;s&^&&

exec_prefix = /usr

PACKAGE_URL = 

PACKAGE_BUGREPORT = 

PACKAGE_STRING = 

PACKAGE_VERSION = 

PACKAGE_TARNAME = 

PACKAGE_NAME = 

PATH_SEPARATOR = :

SHELL = /bin/bash

rubylibdir = /usr/lib/ruby/1.9.1

archdir = /usr/lib/ruby/1.9.1/i686-linux

sitelibdir = /usr/local/lib/site_ruby/1.9.1

sitearchdir = /usr/local/lib/site_ruby/1.9.1/i686-linux

vendorlibdir = /usr/lib/ruby/vendor_ruby/1.9.1

vendorarchdir = /usr/lib/ruby/vendor_ruby/1.9.1/i686-linux

topdir = /usr/lib/ruby/1.9.1/i686-linux

Ruby load path ($LOAD_PATH)

/usr/local/lib/site_ruby/1.9.1

/usr/local/lib/site_ruby/1.9.1/i686-linux

/usr/local/lib/site_ruby

/usr/lib/ruby/vendor_ruby/1.9.1

/usr/lib/ruby/vendor_ruby/1.9.1/i686-linux

/usr/lib/ruby/vendor_ruby

/usr/lib/ruby/1.9.1

/usr/lib/ruby/1.9.1/i686-linux

Ruby loaded libraries ($LOADED_FEATURES)

enumerator.so

/usr/lib/ruby/1.9.1/i686-linux/enc/encdb.so

/usr/lib/ruby/1.9.1/i686-linux/enc/trans/transdb.so

/usr/lib/ruby/1.9.1/rubygems/defaults.rb

/usr/lib/ruby/1.9.1/i686-linux/rbconfig.rb

/usr/lib/ruby/1.9.1/rubygems/deprecate.rb

/usr/lib/ruby/1.9.1/rubygems/exceptions.rb

/usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb
/usr/lib/ruby/1.9.1/rubygems/custom_require.rb

/usr/lib/ruby/1.9.1/rubygems.rb

/usr/lib/ruby/vendor_ruby/phusion_passenger.rb

/usr/lib/ruby/1.9.1/i686-linux/etc.so

/usr/lib/ruby/1.9.1/fileutils.rb

/usr/lib/ruby/1.9.1/tmpdir.rb

/usr/lib/ruby/vendor_ruby/phusion_passenger/utils/tmpio.rb

/usr/lib/ruby/vendor_ruby/phusion_passenger/platform_info.rb

/usr/lib/ruby/vendor_ruby/phusion_passenger/platform_info/operating_system.rb

/usr/lib/ruby/vendor_ruby/1.9.1/i686-linux/passenger_native_support.so

/usr/lib/ruby/vendor_ruby/phusion_passenger/native_support.rb

/usr/lib/ruby/1.9.1/i686-linux/socket.so

/usr/lib/ruby/1.9.1/socket.rb

/usr/lib/ruby/1.9.1/thread.rb

/usr/lib/ruby/vendor_ruby/phusion_passenger/ruby_core_enhancements.rb

/usr/lib/ruby/vendor_ruby/phusion_passenger/utils/tmpdir.rb

/usr/lib/ruby/vendor_ruby/phusion_passenger/preloader_shared_helpers.rb

/usr/lib/ruby/vendor_ruby/phusion_passenger/constants.rb

/usr/lib/ruby/vendor_ruby/phusion_passenger/public_api.rb

/usr/lib/ruby/vendor_ruby/phusion_passenger/debug_logging.rb

/usr/lib/ruby/vendor_ruby/phusion_passenger/loader_shared_helpers.rb

/usr/lib/ruby/1.9.1/i686-linux/fcntl.so

/usr/lib/ruby/vendor_ruby/phusion_passenger/message_channel.rb

/usr/lib/ruby/vendor_ruby/phusion_passenger/utils.rb

/usr/lib/ruby/vendor_ruby/phusion_passenger/message_client.rb

/usr/lib/ruby/vendor_ruby/phusion_passenger/utils/native_support_utils.rb

/usr/lib/ruby/vendor_ruby/phusion_passenger/utils/unseekable_socket.rb

/usr/lib/ruby/vendor_ruby/phusion_passenger/request_handler/thread_handler.rb

/usr/lib/ruby/vendor_ruby/phusion_passenger/request_handler.rb

/usr/lib/ruby/1.9.1/i686-linux/stringio.so

/usr/lib/ruby/vendor_ruby/phusion_passenger/utils/tee_input.rb

/usr/lib/ruby/vendor_ruby/phusion_passenger/rack/thread_handler_extension.rb

/usr/lib/ruby/vendor_ruby/phusion_passenger/analytics_logger.rb

/usr/lib/ruby/1.9.1/i686-linux/pathname.so

/usr/lib/ruby/1.9.1/pathname.rb

/usr/lib/ruby/1.9.1/rubygems/user_interaction.rb

/usr/lib/ruby/1.9.1/rubygems/config_file.rb

/usr/lib/ruby/1.9.1/rubygems/version.rb

/usr/lib/ruby/vendor_ruby/bundler/rubygems_integration.rb

/usr/lib/ruby/1.9.1/rubygems/requirement.rb

/usr/lib/ruby/1.9.1/rubygems/dependency.rb

/usr/lib/ruby/vendor_ruby/bundler/shared_helpers.rb

/usr/lib/ruby/vendor_ruby/bundler/gem_path_manipulation.rb

/usr/lib/ruby/1.9.1/rubygems/platform.rb

/usr/lib/ruby/1.9.1/rubygems/specification.rb

/usr/lib/ruby/vendor_ruby/bundler/gem_helpers.rb

/usr/lib/ruby/vendor_ruby/bundler/match_platform.rb

/usr/lib/ruby/vendor_ruby/bundler/rubygems_ext.rb

/usr/lib/ruby/vendor_ruby/bundler/version.rb

/usr/lib/ruby/vendor_ruby/bundler.rb

/usr/lib/ruby/vendor_ruby/bundler/settings.rb

/usr/lib/ruby/1.9.1/rubygems/path_support.rb

/usr/lib/ruby/1.9.1/i686-linux/digest.so

/usr/lib/ruby/1.9.1/digest.rb

/usr/lib/ruby/1.9.1/i686-linux/digest/sha1.so

/usr/lib/ruby/1.9.1/set.rb

/usr/lib/ruby/vendor_ruby/bundler/definition.rb

/usr/lib/ruby/vendor_ruby/bundler/dependency.rb

/usr/lib/ruby/vendor_ruby/bundler/ruby_dsl.rb

/usr/lib/ruby/vendor_ruby/bundler/dsl.rb

/usr/lib/ruby/vendor_ruby/bundler/source.rb

/usr/lib/ruby/1.9.1/uri/common.rb

/usr/lib/ruby/1.9.1/uri/generic.rb

/usr/lib/ruby/1.9.1/uri/ftp.rb

/usr/lib/ruby/1.9.1/uri/http.rb

/usr/lib/ruby/1.9.1/uri/https.rb

/usr/lib/ruby/1.9.1/uri/ldap.rb
/usr/lib/ruby/1.9.1/uri/ldaps.rb

/usr/lib/ruby/1.9.1/uri/mailto.rb

/usr/lib/ruby/1.9.1/uri.rb

/usr/lib/ruby/1.9.1/rubygems/remote_fetcher.rb

/usr/lib/ruby/1.9.1/rubygems/errors.rb

/usr/lib/ruby/1.9.1/rubygems/text.rb

/usr/lib/ruby/1.9.1/rubygems/spec_fetcher.rb

/usr/lib/ruby/vendor_ruby/bundler/source/rubygems.rb

Related issues:

Is duplicate of Redmine - Defect #19409: Cannot install Redmine 3.0.1 on Ubun... Closed

History

#1 - 2015-03-25 04:03 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

We cannot support individual environment.

You should do following ways.

use rvm or rbenv instead of packaged ruby

ask Ubuntu team "Why does Ubuntu use such old bundler?"

ask Ubuntu team or Passenger team "How do I do in my situation?"

#2 - 2015-03-25 04:04 - Toshi MARUYAMA

- Resolution changed from Invalid to Duplicate

#3 - 2015-03-25 04:04 - Toshi MARUYAMA

- Is duplicate of Defect #19409: Cannot install Redmine 3.0.1 on Ubuntu 14.04.2 added

#4 - 2015-04-08 22:56 - Brian Finley (redmine test)

[SOLVED]

Platform:

Ubuntu 14.04, not using distro provided ruby.

 Root cause:

Multiple versions of the bundler gem were installed.  One distro provided, and one non-distro provided.  Redmine was finding the older one first.

 Recommendation for developers:

Change method to identify newest bundler if multiple versions installed.

 Solution:

#

# before

#

redmine-dev# bundler -v

Bundler version 1.9.2

redmine-dev# gem list | grep bundler

bundler (1.9.2, 1.3.5)

#

# the fix

#

redmine-dev# sudo apt-get remove bundler

...

The following packages will be REMOVED:

  bundler

#
# after

#

redmine-dev# bundler -v

Bundler version 1.9.2

redmine-dev# gem list | grep bundler    

bundler (1.9.2)

 -Brian Finley

#5 - 2015-04-09 00:43 - Go MAEDA

Thanks for the feedback!
